package com.foldor.soundboard;

import java.util.HashMap;
import java.util.Map;

import android.app.Activity;
import android.graphics.Color;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;
import android.widget.TableLayout;
import android.widget.TableRow;
import android.widget.TextView;

public class SoundBoardEdit extends Activity {
    private static final String TAG = "SoundBoard";
    private Map<TableRow, Sound> soundMap = new HashMap<TableRow, Sound>();
    private SoundNameDatabase soundDB = new SoundNameDatabase(this);

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        Log.d(TAG, "Created");
        setContentView(R.layout.activity_soundboardedit);
        
        TableLayout table = (TableLayout) findViewById(R.id.SoundBoardEditTableLayout);
        
        Sound[] allSounds = soundDB.getAllSounds();
        for (Sound sound : allSounds) {
            TableRow row = new TableRow(this);
            TextView soundName = new TextView(this);
            EditText soundDesc = new EditText(this);
            
            soundName.setText(sound.soundName);
            soundName.setTextColor(Color.parseColor("#FFFFFF"));
            soundDesc.setText(sound.soundName);
            
            row.addView(soundName);
            row.addView(soundDesc);
            table.addView(row);
            
            soundMap.put(row, sound);
        }
        
        TableRow row = new TableRow(this);
        
        Button save = new Button(this);
        save.setText("Save");
        save.setOnClickListener(new OnClickListener() {
            @Override
            public void onClick(View buttonView) {
                TableLayout table = (TableLayout) findViewById(R.id.SoundBoardEditTableLayout);
                
                for (int i = 0; i < table.getChildCount() - 1; i++) {
                    TableRow row = (TableRow) table.getChildAt(i);
                    EditText editName = (EditText) row.getChildAt(1);
                    
                    Sound sound = soundMap.get(row);
                    sound.soundName = editName.getText().toString();
                    soundDB.update(sound);
                }
            }
        });
        
        row.addView(save);
        table.addView(row);
    }
}
